package sample.ui;

import java.awt.event.ActionListener;
import javax.swing.JButton;
import sample.control.PhoneController;

public abstract class AbstractPhoneButton extends JButton implements ActionListener{
	private PhoneController _controller;

	public  AbstractPhoneButton(PhoneController aController, String aLabel) {
		super(aLabel);
		_controller = aController;
		addActionListener(this);
	}

	public sample.control.State getCurrentState() {
		return getController().getContext().getState();
	}

	public PhoneController getController() {
		return this._controller;
	}
}