package sample.ui;

import sample.control.PhoneController;

public class CancelButton extends AbstractPhoneButton {

	public  CancelButton(PhoneController aController) {
		super(aController, "Cancel");
	}

	public void actionPerformed(java.awt.event.ActionEvent aE) {
		if (getCurrentState().getName().equals("PhoneControllerFSM.Dialing")){
			getController().cancelCall();
		}else if (getCurrentState().getName().equals("PhoneControllerFSM.Answering")){
			getController().callFinished();
		}else if (getCurrentState().getName().equals("PhoneControllerFSM.Waiting_for_Answer")){
			getController().noAnswer();
		}
	}
}