package sample.ui;

import sample.control.PhoneController;

public class DialButton extends AbstractPhoneButton {
	private Display _display;

	public  DialButton(PhoneController aController, Display aDisplay) {
		super(aController, "Dialing");
		_display = aDisplay;
	}

	public void actionPerformed(java.awt.event.ActionEvent aE) {
		if (getCurrentState().getName().equals("PhoneControllerFSM.Dialing")){
			getController().dial(_display.getText());
		}
	}
}