package sample.ui;

import sample.control.PhoneController;
import sample.control.TransitionUndefinedException;

public class MakeCallRequestButton extends AbstractPhoneButton {

	public  MakeCallRequestButton(PhoneController aController) {
		super(aController, "Make Call Request");
	}

	public void actionPerformed(java.awt.event.ActionEvent aE) {
		try {
			getController().haveCall(PhoneControllerTester.generatePhoneNumber(6));
		} catch (TransitionUndefinedException exception) {
			// ignore invalid state
		}
	}
}