package sample.ui;

import javax.swing.JFrame;

import sample.control.PhoneController;

public class PhoneControllerTester extends JFrame{
	private MakeCallRequestButton _makeCallRequestButton;
	private PhoneController _controller;

	public  PhoneControllerTester(PhoneController aController) {
		super("Caller Tester");
		this._controller = aController;
		initUI();
	}

	private void initUI() {
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		_makeCallRequestButton = new MakeCallRequestButton(_controller);
		getContentPane().add(_makeCallRequestButton);
	}

	public static char generateDigit() {
		return (char) ('0' + ((int) (Math.random()*10)));
	}

	public static String generatePhoneNumber(int aDigit) {
		StringBuffer buf = new StringBuffer(aDigit);
		for (int i=0;i<aDigit;i++)
			buf.append(generateDigit());
		return buf.toString();
	}
}